Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 443530 - =sys-power/pm-utils-1.4.1-r3: Check /sys/class/net/$1/phy80211 instead of /sys/class/net/$1/wireless in /usr/lib/pm-utils/power.d/wireless (?)
Summary: =sys-power/pm-utils-1.4.1-r3: Check /sys/class/net/$1/phy80211 instead of /sy...
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: Freedesktop bugs
URL:
Whiteboard:
Keywords: PATCH, PMASKED
Depends on:
Blocks:
 
Reported: 2012-11-16 16:33 UTC by Florian Klink
Modified: 2021-02-21 10:57 UTC (History)
1 user (show)

See Also:
Package list:
Runtime testing required: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Florian Klink 2012-11-16 16:33:04 UTC
please look at http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=618878


To fix wireless power saving in the pm-utils script, you need to apply the following patch to /usr/lib/pm-utils/power.d/wireless:

--- wireless.orig       2011-04-12 13:27:38.000000000 +0200
+++ wireless    2011-09-20 21:53:38.425880522 +0200
@@ -18,7 +18,7 @@
     # Don't do anything if we cannot find a driver for this iface.
     [ -L "/sys/class/net/$1/device/driver" ] || return 1
     # Skip if not a wireless card.
-    [ -d "/sys/class/net/$1/wireless" ] || return 1
+    [ -d "/sys/class/net/$1/phy80211" ] || return 1
     # Also don't do anything if the device is disabled
     [ "$(cat /sys/class/net/$1/device/enable)" = "1" ] || return 1
     driver="$(readlink "/sys/class/net/$1/device/driver")"
@@ -76,4 +76,4 @@
     *) exit $NA ;;
 esac
 
-exit 0
\ No newline at end of file
+exit 0
Comment 1 Samuli Suominen gentoo-dev 2014-06-04 20:12:38 UTC
(In reply to Florian Klink from comment #0)
> please look at http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=618878

Looks like it's still undone.

> -    [ -d "/sys/class/net/$1/wireless" ] || return 1
> +    [ -d "/sys/class/net/$1/phy80211" ] || return 1

Can't we leave both these in? As in, check both?
Comment 2 Larry the Git Cow gentoo-dev 2021-02-21 10:57:17 UTC
The bug has been closed via the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=f146bb7e14ac3405429772d4adfef555f7810c20

commit f146bb7e14ac3405429772d4adfef555f7810c20
Author:     Jakov Smolic <jakov.smolic@sartura.hr>
AuthorDate: 2021-02-21 10:56:16 +0000
Commit:     David Seifert <soap@gentoo.org>
CommitDate: 2021-02-21 10:56:16 +0000

    sys-power/pm-utils: Remove last-rited pkg
    
    Closes: https://bugs.gentoo.org/659616
    Closes: https://bugs.gentoo.org/703026
    Closes: https://bugs.gentoo.org/666380
    Closes: https://bugs.gentoo.org/579912
    Closes: https://bugs.gentoo.org/549848
    Closes: https://bugs.gentoo.org/533168
    Closes: https://bugs.gentoo.org/489650
    Closes: https://bugs.gentoo.org/443530
    Closes: https://bugs.gentoo.org/442052
    Closes: https://bugs.gentoo.org/437930
    Closes: https://bugs.gentoo.org/426952
    Closes: https://bugs.gentoo.org/426510
    Closes: https://bugs.gentoo.org/403523
    Closes: https://bugs.gentoo.org/401257
    Closes: https://bugs.gentoo.org/362387
    Closes: https://bugs.gentoo.org/257156
    
    Signed-off-by: Jakov Smolic <jakov.smolic@sartura.hr>
    Signed-off-by: David Seifert <soap@gentoo.org>

 profiles/arch/amd64/package.use.mask               |  4 -
 profiles/arch/base/package.use.mask                |  4 -
 profiles/arch/hppa/use.mask                        |  4 -
 profiles/arch/x86/package.use.mask                 |  4 -
 sys-power/pm-utils/Manifest                        |  1 -
 .../pm-utils/files/1.4.1-bluetooth-sync.patch      | 43 ----------
 .../pm-utils/files/1.4.1-disable-sata-alpm.patch   | 24 ------
 sys-power/pm-utils/files/1.4.1-echo-n.patch        | 51 ------------
 sys-power/pm-utils/files/1.4.1-fix-alpm-typo.patch | 29 -------
 .../1.4.1-fix-intel-audio-powersave-hook.patch     | 40 ---------
 .../pm-utils/files/1.4.1-ignore-led-failure.patch  | 14 ----
 .../files/1.4.1-inhibit-on-right-status.patch      | 20 -----
 .../pm-utils/files/1.4.1-logging-append.patch      | 17 ----
 .../pm-utils/files/1.4.1-run-hook-logging.patch    | 17 ----
 .../pm-utils/files/1.4.1-suspend-hybrid.patch      | 36 ---------
 .../files/1.4.1-uswsusp-hibernate-mode.patch       | 19 -----
 .../files/1.4.1-xfs_buffer_arguments.patch         | 31 -------
 sys-power/pm-utils/files/pm-utils.logrotate        |  8 --
 sys-power/pm-utils/files/power.d/pci_devices       | 61 --------------
 sys-power/pm-utils/files/power.d/usb_bluetooth     | 45 -----------
 sys-power/pm-utils/files/sleep.d/50unload_alx      | 18 -----
 sys-power/pm-utils/metadata.xml                    | 10 ---
 sys-power/pm-utils/pm-utils-1.4.1-r7.ebuild        | 94 ----------------------
 23 files changed, 594 deletions(-)